<template>
  <div id="app" class="master-detail">
    <gallery-list class="master-detail__master" @item-selection="selectedItem = $event"></gallery-list>
    <gallery-image-detail v-bind:photo="selectedItem" class="master-detail__detail"></gallery-image-detail>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import GalleryList from "./components/GalleryList.vue";
import GalleryImageDetail from "./components/GalleryImageDetail.vue";

export default Vue.extend({
  name: "app",
  components: {
    GalleryList,
    GalleryImageDetail
  },
  data() {
    return {
      selectedItem: null
    }
  },
  watch: {
    selectedItem: function() {
      console.log(this.selectedItem);
    }
  }
});
</script>

<style scoped>
.master-detail {
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-gap: 10px;
}
</style>
